libdap::Array::dimension Struct Reference

`#include <Array.h>`

## Public Member Functions

| dimension (D4Dimension *d)
| dimension (int64_t s, string n)

## Public Attributes

int64_t | c_size
| Size of dimension once constrained.
D4Dimension * | dim
| If not null, a weak pointer to the D4Dimension.
string | name
| The name of this dimension.
int64_t | size
| The unconstrained dimension size.
int64_t | start
| The constraint start index.
int64_t | stop
| The constraint end index.
int64_t | stride
| The constraint stride.
bool | use_sdim_for_slice
| Used to control printing the DMR in data responses.

## Detailed Description

Information about a dimension. Each Array has one or more dimensions. For each of an Array's dimensions, a corresponding instance of this struct holds the natural size, name, constraint information and constrained size.

Note
  Instead of using this struct's fields directly, use Array's dimension accessor methods.
  This struct is public because its type is used in public typedefs.

Definition at line 133 of file Array.h.

## Constructor & Destructor Documentation

## dimension() [1/3]

libdap::Array::dimension::dimension | ( |  | ) |

inline

Definition at line 160 of file Array.h.

## dimension() [2/3]

libdap::Array::dimension::dimension | ( | int64_t | s,
|  | string | n
| ) |  |

inline

Definition at line 168 of file Array.h.

## dimension() [3/3]

libdap::Array::dimension::dimension | ( | D4Dimension * | d | ) |

explicit

Definition at line 65 of file Array.cc.

## Member Data Documentation

## c_size

int64_t libdap::Array::dimension::c_size

Size of dimension once constrained.

Definition at line 158 of file Array.h.

## dim

D4Dimension* libdap::Array::dimension::dim

If not null, a weak pointer to the D4Dimension.

Definition at line 145 of file Array.h.

## name

string libdap::Array::dimension::name

The name of this dimension.

Definition at line 143 of file Array.h.

## size

int64_t libdap::Array::dimension::size

The unconstrained dimension size.

Definition at line 142 of file Array.h.

## start

int64_t libdap::Array::dimension::start

The constraint start index.

Definition at line 155 of file Array.h.

## stop

int64_t libdap::Array::dimension::stop

The constraint end index.

Definition at line 156 of file Array.h.

## stride

int64_t libdap::Array::dimension::stride

The constraint stride.

Definition at line 157 of file Array.h.

## use_sdim_for_slice

bool libdap::Array::dimension::use_sdim_for_slice

Used to control printing the DMR in data responses.

Definition at line 153 of file Array.h.

The documentation for this struct was generated from the following files:

- Array.h
- Array.cc